Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.search
Class WebAppSearchCriteria

    java.lang.Object
      com.bea.netuix.application.search.WebAppSearchCriteria

All Implemented Interfaces
  SearchCriteria, Serializable

Direct Known Subclasses:
  BookSearchCriteria, PageSearchCriteria, PortalSearchCriteria, PortletSearchCriteria, ProducerInfoSearchCriteria, ProxyResourceSearchCriteria

    public class WebAppSearchCriteria

extends Object
implements SearchCriteria

WebAppSearchCriteria - a `SearchCriteria` that specifies a web app name to limit the search for a resource.

See Also
  Serialized Form

Constructor Summary
`WebAppSearchCriteria(String webAppName)`

Method Summary
`String` | `getWebAppName()` Returns the target web app name to be used as a search criteria.
`protected void` | `init(WebAppSearchCriteria webAppSearchCriteria)` Uses another `PortalSearchCriteria` to initialize this one
`boolean` | `isWebAppNameCriteria()` Always returns `true`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppSearchCriteria

    public WebAppSearchCriteria(String webAppName)

Parameters
  `webAppName` -

Method Detail

### isWebAppNameCriteria

    public boolean isWebAppNameCriteria()

  Always returns `true`. This method is an alternative to doing an `instanceof` check for WebAppSearchCriteria in subclasses of this class.

  Returns
    whether or not this is an instance of a `WebappSearchCriteria`

### getWebAppName

    public String getWebAppName()

  Returns the target web app name to be used as a search criteria.

  Returns
    target web app name

### init

    protected void init(WebAppSearchCriteria webAppSearchCriteria)

  Uses another `PortalSearchCriteria` to initialize this one

  Parameters
    `webAppSearchCriteria` - the source criteria

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.